### Hierarchy

- LanguageChains
- NumericComparison
- TypeComparison
  - Assertion

### Callable

- __call(type: string, message?: undefined | string): Assertion

- - Defined in node_modules/@types/chai/index.d.ts:161

  #### Parameters

  - ##### type: string

  - ##### Optional message: undefined | string

  #### Returns Assertion

## Index

### Properties

- above
- and
- at
- be
- been
- below
- but
- does
- eventually
- fulfilled
- greaterThan
- gt
- gte
- has
- have
- instanceOf
- instanceof
- is
- least
- lessThan
- lt
- lte
- most
- of
- on
- rejected
- rejectedWith
- same
- that
- to
- which
- with

### Methods

- become
- notify
- within

## Properties

### above

above: NumberComparer

Inherited from NumericComparison.above

- Defined in node_modules/@types/chai/index.d.ts:143

### and

and: Assertion

Inherited from LanguageChains.and

- Defined in node_modules/@types/chai/index.d.ts:131

### at

at: Assertion

Inherited from LanguageChains.at

- Defined in node_modules/@types/chai/index.d.ts:135

### be

be: Assertion

Inherited from LanguageChains.be

- Defined in node_modules/@types/chai/index.d.ts:126

### been

been: Assertion

Inherited from LanguageChains.been

- Defined in node_modules/@types/chai/index.d.ts:127

### below

below: NumberComparer

Inherited from NumericComparison.below

- Defined in node_modules/@types/chai/index.d.ts:148

### but

but: Assertion

Inherited from LanguageChains.but

- Defined in node_modules/@types/chai/index.d.ts:138

### does

does: Assertion

Inherited from LanguageChains.does

- Defined in node_modules/@types/chai/index.d.ts:139

### eventually

eventually: PromisedAssertion

- Defined in node_modules/@types/chai-as-promised/index.d.ts:28

### fulfilled

fulfilled: PromisedAssertion

- Defined in node_modules/@types/chai-as-promised/index.d.ts:30

### greaterThan

greaterThan: NumberComparer

Inherited from NumericComparison.greaterThan

- Defined in node_modules/@types/chai/index.d.ts:145

### gt

gt: NumberComparer

Inherited from NumericComparison.gt

- Defined in node_modules/@types/chai/index.d.ts:144

### gte

gte: NumberComparer

Inherited from NumericComparison.gte

- Defined in node_modules/@types/chai/index.d.ts:147

### has

has: Assertion

Inherited from LanguageChains.has

- Defined in node_modules/@types/chai/index.d.ts:132

### have

have: Assertion

Inherited from LanguageChains.have

- Defined in node_modules/@types/chai/index.d.ts:133

### instanceOf

instanceOf: InstanceOf

Inherited from TypeComparison.instanceOf

- Defined in node_modules/@types/chai/index.d.ts:164

### instanceof

instanceof: InstanceOf

Inherited from TypeComparison.instanceof

- Defined in node_modules/@types/chai/index.d.ts:163

### is

is: Assertion

Inherited from LanguageChains.is

- Defined in node_modules/@types/chai/index.d.ts:128

### least

least: NumberComparer

Inherited from NumericComparison.least

- Defined in node_modules/@types/chai/index.d.ts:146

### lessThan

lessThan: NumberComparer

Inherited from NumericComparison.lessThan

- Defined in node_modules/@types/chai/index.d.ts:150

### lt

lt: NumberComparer

Inherited from NumericComparison.lt

- Defined in node_modules/@types/chai/index.d.ts:149

### lte

lte: NumberComparer

Inherited from NumericComparison.lte

- Defined in node_modules/@types/chai/index.d.ts:152

### most

most: NumberComparer

Inherited from NumericComparison.most

- Defined in node_modules/@types/chai/index.d.ts:151

### of

of: Assertion

Inherited from LanguageChains.of

- Defined in node_modules/@types/chai/index.d.ts:136

### on

on: Assertion

Inherited from LanguageChains.on

- Defined in node_modules/@types/chai-spies/index.d.ts:16

### rejected

rejected: PromisedAssertion

- Defined in node_modules/@types/chai-as-promised/index.d.ts:31

### rejectedWith

rejectedWith: PromisedThrow

- Defined in node_modules/@types/chai-as-promised/index.d.ts:32

### same

same: Assertion

Inherited from LanguageChains.same

- Defined in node_modules/@types/chai/index.d.ts:137

### that

that: Assertion

Inherited from LanguageChains.that

- Defined in node_modules/@types/chai/index.d.ts:129

### to

to: Assertion

Inherited from LanguageChains.to

- Defined in node_modules/@types/chai/index.d.ts:125

### which

which: Assertion

Inherited from LanguageChains.which

- Defined in node_modules/@types/chai/index.d.ts:130

### with

with: Assertion

Inherited from LanguageChains.with

- Defined in node_modules/@types/chai/index.d.ts:134

## Methods

### become

- become(expected: any): PromisedAssertion

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:29

  #### Parameters

  - ##### expected: any

  #### Returns PromisedAssertion

### notify

- notify(fn: Function): PromisedAssertion

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:33

  #### Parameters

  - ##### fn: Function

  #### Returns PromisedAssertion

### within

- within(start: number, finish: number, message?: undefined | string): Assertion
- within(start: Date, finish: Date, message?: undefined | string): Assertion

- Inherited from NumericComparison.within

  - Defined in node_modules/@types/chai/index.d.ts:153

  #### Parameters

  - ##### start: number

  - ##### finish: number

  - ##### Optional message: undefined | string

  #### Returns Assertion

- Inherited from NumericComparison.within

  - Defined in node_modules/@types/chai/index.d.ts:154

  #### Parameters

  - ##### start: Date

  - ##### finish: Date

  - ##### Optional message: undefined | string

  #### Returns Assertion

Generated using TypeDoc